part of 'uikit_service.dart';

/// @nodoc
mixin ZegoMessageService {
  /// get in-room messages
  List<ZegoInRoomMessage> getInRoomMessages() {
    return ZegoUIKitCore.shared.coreMessage.messageList;
  }

  /// get in-room messages notifier
  Stream<List<ZegoInRoomMessage>> getInRoomMessageListStream() {
    return ZegoUIKitCore.shared.coreMessage.streamControllerMessageList.stream;
  }

  /// get in-room messages one-by-one notifier
  Stream<ZegoInRoomMessage> getInRoomMessageStream() {
    return ZegoUIKitCore
        .shared.coreMessage.streamControllerRemoteMessage.stream;
  }

  /// get in-room messages one-by-one notifier
  Stream<ZegoInRoomMessage> getInRoomLocalMessageStream() {
    return ZegoUIKitCore.shared.coreMessage.streamControllerLocalMessage.stream;
  }

  /// send in-room message
  /// @return Error code, please refer to the error codes document https://docs.zegocloud.com/en/5548.html for details.
  Future<bool> sendInRoomMessage(String message) async {
    return ZegoUIKitCore.shared.coreMessage.sendBroadcastMessage(message);
  }

  /// re-send in-room message
  /// @return Error code, please refer to the error codes document https://docs.zegocloud.com/en/5548.html for details.
  Future<bool> resendInRoomMessage(ZegoInRoomMessage message) async {
    return ZegoUIKitCore.shared.coreMessage.resendInRoomMessage(message);
  }
}
